#ifndef WIZ_H_INCLUDED
#define WIZ_H_INCLUDED

#include <SDL/SDL.h>
/* from globals.h
#define KEY_F1          SDLK_F1 //Loose a life
#define KEY_F2          SDLK_F2 //Game over
#define KEY_E           SDLK_e //Display energy
#define KEY_F4          SDLK_F4 //Status page
#define KEY_LEFT        SDLK_LEFT //Left
#define KEY_RIGHT       SDLK_RIGHT //Right
#define KEY_UP          SDLK_UP //Up
#define KEY_DOWN        SDLK_DOWN //Down
#define KEY_JUMP        SDLK_UP //Up
#define KEY_SPACE       SDLK_SPACE //Space
#define KEY_ENTER       SDLK_KP_ENTER //Enter
#define KEY_RETURN      SDLK_RETURN //Return
#define KEY_ESC         SDLK_ESCAPE //Quit
#define KEY_P           SDLK_p //Toggle pause
#define KEY_NOCLIP      SDLK_n //Toggle noclip
#define KEY_GODMODE     SDLK_g //Toggle godmode
#define KEY_DEBUG       SDLK_d //Toggle debug mode
#define KEY_MUSIC       SDLK_F3 //Toggle music
*/

#define KEY_STATUS      SDLK_LCTRL

enum MAP_KEY
{
	VK_UP         , // 0        KEY_UP
	VK_UP_LEFT    , // 1        KEY_UP + KEY_LEFT
	VK_LEFT       , // 2        KEY_LEFT
	VK_DOWN_LEFT  , // 3        KEY_LEFT + KEY_DOWN
	VK_DOWN       , // 4        KEY_DOWN
	VK_DOWN_RIGHT , // 5        KEY_DOWN + KEY_RIGHT
	VK_RIGHT      , // 6        KEY_RIGHT
	VK_UP_RIGHT   , // 7        KEY_RIGHT + KEY_UP
	VK_START      , // 8        KEY_ENTER
	VK_SELECT     , // 9        KEY_P
	VK_FL         , // 10       SDLK_s
	VK_FR         , // 11       KEY_F1
	VK_FA         , // 12       KEY_E
	VK_FB         , // 13       KEY_JUMP
	VK_FX         , // 14       KEY_SPACE
	VK_FY         , // 15       KEY_MUSIC
	VK_VOL_UP     , // 16       KEY_NOCLIP
	VK_VOL_DOWN   , // 17       KEY_GODMODE
};//VK_START + VK_SELECT        KEY_ESC


SDL_Joystick *joy;
SDL_Surface  *wizSurface;
int          wizPostprocessFlag;


void wizFixKeystate(Uint8 *kst);

void wizFixEvent(SDL_Event *ev);

void wizFixEventKeyUp(SDL_Event *ev);

void wizPostprocess(SDL_Surface *srf);

#endif // WIZ_H_INCLUDED
